/*
 * Copyright 2024 Aleth Gueguen <conseil@alethgueguen.com>
 *  This file is part of CycloDiag.
 *
 * CycloDiag is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * CycloDiag is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License along with CycloDiag. If not, see <https://www.gnu.org/licenses/>
 *
 */

import 'quill'
import 'quillcss'


var toolbarOptions = [
  [{'header': [1, 2, 3, 4, 5, 6, false]}],
  [{'list': 'ordered'}, {'list': 'bullet'}],
  ['blockquote'],
  ['bold', 'italic', 'underline'],
  [{'color': []}, {'background': []}],
  [{'script': 'sub'}, {'script': 'super'}],
  ['link', 'image'],
  ['clean']
];

const quillForSynthese = new Quill('#synthese-editor', {
  modules: {
    toolbar: toolbarOptions,
    history: {
      delay: 2000,
      maxStack: 500,
      userOnly: true
    }
  },
  theme: 'snow',
  placeholder: 'Texte de la synthèse',
});
const quillForContent = new Quill('#content-editor', {
  modules: {
    toolbar: toolbarOptions,
    history: {
      delay: 2000,
      maxStack: 500,
      userOnly: true
    }
  },
  theme: 'snow',
  placeholder: 'Texte de la fiche action',
});
document.getElementById('fiche-action-edit').addEventListener('submit', (event) => {
  let syntheseContent = document.querySelector('#synthese-editor .ql-editor').innerHTML
  syntheseContent = syntheseContent === '<p><br></p>' ? '' : syntheseContent;
  document.getElementById('synthese-content').value = syntheseContent

  let ficheActionContent = document.querySelector('#content-editor .ql-editor').innerHTML
  ficheActionContent = ficheActionContent === '<p><br></p>' ? '' : ficheActionContent;
  document.getElementById('content').value = ficheActionContent

  return true;
})
