/*
 * Copyright 2024 Aleth Gueguen <conseil@alethgueguen.com>
 *  This file is part of CycloDiag.
 *
 * CycloDiag is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * CycloDiag is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License along with CycloDiag. If not, see <https://www.gnu.org/licenses/>
 *
 */

import 'sortable'


document.querySelectorAll('[data-sortable]').forEach((sortableElt) => {
  new Sortable(sortableElt, {
    group: 'shared',
    draggable: ".draggable-item",
    ghostClass: "sortable-ghost",  // Class name for the drop placeholder
    chosenClass: "sortable-chosen",  // Class name for the chosen item
    dragClass: "sortable-drag",  // Class name for the dragging item
  })
})


document.forms.generatePublicPage.addEventListener('submit', (event) => {
  document.querySelectorAll('[contenteditable]')
    .forEach(el => el.removeAttribute('contenteditable'))
  document.querySelectorAll('.to-review')
    .forEach(el => el.classList.remove('to-review'))
  document.querySelector('[data-to-remove-when-generate]').remove()

  const html = document.querySelector('[data-public-page-content]').outerHTML;
  document.getElementById('publicPageHtml').value = html
})