/*
 * Copyright 2024 Aleth Gueguen <conseil@alethgueguen.com>
 *  This file is part of CycloDiag.
 *
 * CycloDiag is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * CycloDiag is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License along with CycloDiag. If not, see <https://www.gnu.org/licenses/>
 *
 */

const makePresDialog = document.getElementById("dialog-make-presentation");
const showButtons = document.querySelectorAll("[data-show-dialog-presentation]");

showButtons.forEach((showButton) => {

  showButton.addEventListener("click", (e) => {
    const uuid = e.target.dataset.diagUuid,
      title = e.target.dataset.title,
      diagUuidInput = makePresDialog.querySelector('input[name=diagUuid]');

    diagUuidInput.value = uuid
    makePresDialog.querySelector('h2 .title').innerText = title
    makePresDialog.showModal();
  });
})
