/*
 * Copyright 2024 Aleth Gueguen <conseil@alethgueguen.com>
 *  This file is part of CycloDiag.
 *
 * CycloDiag is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * CycloDiag is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License along with CycloDiag. If not, see <https://www.gnu.org/licenses/>
 *
 */

const questionnaireForms = document.querySelector('.questionnaire-forms'),
  fichesActionPreview = document.querySelector('.fiches-action-preview')

const clickHandler = {

  handleEvent: (event) => {
    const form = event.target.closest('form')
    const ficheActionRef = event.target.dataset.faRef

    fichesActionPreview.querySelectorAll('[data-fiche-action-ref]')
      .forEach(ficheAction => {
        ficheAction.classList.remove('viewing')
      })
    fichesActionPreview.style.top = 0

    const previewing = fichesActionPreview.querySelector(`[data-fiche-action-ref=${ficheActionRef}]`)
    if (previewing) {
      // previewing.open = true
      const scroll = form.offsetTop - previewing.offsetTop
      /*
            console.table({
              window: window.scrollY,
              formOffsetY: form.offsetTop,
              previewingOffsetY: previewing.offsetTop
            })
      */
      fichesActionPreview.style.top = `${Math.ceil(scroll)}px`
      previewing.classList.add('viewing')
    }
  }
}

questionnaireForms.addEventListener('click', clickHandler, true)
document.querySelectorAll('[data-fiche-ref]').forEach((form) => {
  form.addEventListener('pointerover', focusHandler)
})

if (location.hash) {
  const formId = location.hash.substring(1)
  document.getElementById(formId).dispatchEvent(new FocusEvent('focus'))
}
// https://github.com/bigskysoftware/htmx/discussions/1746#discussioncomment-6859968
document.body.addEventListener("htmx:responseError", function (event) {
  // Process the error
  // console.log(event.detail)
  if (event.detail.xhr.status >= 400) {
    document.getElementById('form-error').innerHTML = event.detail.xhr.response
  }
})
