<?php
/*
 * Copyright 2024 Aleth Gueguen <conseil@alethgueguen.com>
 *  This file is part of CycloDiag.
 *
 * CycloDiag is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * CycloDiag is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License along with CycloDiag. If not, see <https://www.gnu.org/licenses/>
 *
 */

namespace App\Config;

final class navMenu
{
    private static array $menu = [
            'PUBLIC_ACCESS' => [
                'Accueil' => [
                    'open' => false,
                  'route' => 'home',
                ],
                'Compte' => [
                    'open' => false,
                    'subMenu' => [
                        'Connexion' => ['route' => 'app_login'],
                    ]],
                'Questionnaire' => [
                    'open' => false,
                    'route' => 'public_questionnaire',
                    // 'subMenu' => [] 
                ],
                'Guide des Bonnes Pratiques' => [
                    'open' => false,
                    'route' => 'fiche_action'
                ],
                'Indice Opérateur' => [
                    'open' => false,
                    'route' => 'indice_operateur',
                ]
            ],
            'ROLE_BENEFICIAIRE' => [
                'Accueil' => [
                    'open' => false,
                  'route' => 'home',
                ],
                'Compte' => [
                    'open' => false,
                    'subMenu' => [
                        'Déconnexion' => ['route' => 'app_logout'],
                    ]],
                'Questionnaire' => [
                    'open' => false,
                    'subMenu' => [] // setup in CommuneEPCIQuestionnaireController@buildMenu
                ],
                'Guide des Bonnes Pratiques' => [
                    'open' => false,
                    'route' => 'fiche_action'
                ],
                'Indice Opérateur' => [
                    'open' => false,
                    'route' => 'indice_operateur',
                ],
                'Mon profil' => [
                    'open' => false,
                    'subMenu' => [
                        'Paramètres' => ['route' => 'user_profile',],
                        'Changer mot de passe' => ['route' => 'user_setting',],
                        'Déconnexion' => ['route' => 'app_logout'],
                    ],
                ],
            ],
            'ROLE_BENEFICIAIRE_ADMIN' => [
                'Accueil' => [
                    'open' => false,
                  'route' => 'home',
                ],
                'Compte' => [
                    'open' => false,
                    'subMenu' => [
                        'Diagnostics' => ['route' => 'communeEPCI_diagnostics'],
                        'Indice Opérateurs' => ['route' => 'results_indice_operateurs'],
                        'Page publique' => ['route' => 'communeEPCI_public_page'],
                    ]],
                'Questionnaire' => [
                    'open' => false,
                    'subMenu' => [] // setup in CommuneEPCIQuestionnaireController@buildMenu
                ],
                'Guide des Bonnes Pratiques' => [
                    'open' => false,
                    'route' => 'fiche_action'
                ],
                'Indice Opérateur' => [
                    'open' => false,
                    'route' => 'indice_operateur',
                ],
                'Mon profil' => [
                    'open' => false,
                    'subMenu' => [
                        'Paramètres' => ['route' => 'user_profile',],
                        'Changer mot de passe' => ['route' => 'user_setting',],
                        'Déconnexion' => ['route' => 'app_logout'],
                    ],
                ],
            ],
            'ROLE_FABLOG_COMMUNAUTE' => [
//                'Tableau de bord' => [
//                    'route' => '',
//                    'open' => false,
//                    'subMenu' => [
//                        'Diagnostics en cours' => ['route' => 'admin_diagnostics_list'],
//                        'Résultats' => ['route' => ''],
//                    ],
//                ],
                'Accueil' => [
                    'open' => false,
                  'route' => 'home',
                ],
                'Questionnaire' => [
                    'route' => 'public_questionnaire',
                    // 'subMenu' => [] // setup in ??
                ],
                'Guide des Bonnes Pratiques' => [
                    'open' => false,
                    'route' => 'fiche_action'
                ],
                'Indice Opérateur' => [
                    'open' => false,
                    'route' => 'indice_operateur',
                ],
                'Mon profil' => [
                    'open' => false,
                    'subMenu' => [
                        'Paramètres' => ['route' => 'user_profile',],
                        'Changer mot de passe' => ['route' => 'user_setting',],
                        'Déconnexion' => ['route' => 'app_logout'],
                    ],
                ],
            ],
            'ROLE_FABLOG_ADMIN' => [
                'Accueil' => [
                    'open' => false,
                  'route' => 'home',
                ],
                'Tableau de bord' => [
                    'route' => '',
                    'open' => false,
                    'subMenu' => [
                        'Liste bénéficiaires' => ['route' => 'admin_beneficiaires_list'],
                        'Diagnostics en cours' => ['route' => 'admin_diagnostics_list'],
                        'Téléchargements du GBP' => ['route' => 'admin_GBP_downloads'],
                        'Indice Opérateurs' => ['route' => 'results_indice_operateurs'],
                    ],
                ],
                'Questionnaire' => [
                    'route' => 'public_questionnaire',
                    'open' => false,
                ],
                'Fiches Action' => [
                    'open' => false,
                    'subMenu' => [
                        'Liste' => ['route' => 'admin_fiche_action_list'],
                    ],
                ],
                'Guide des Bonnes Pratiques' => [
                    'open' => false,
                    'route' => 'fiche_action'
                ],
                'Indice Opérateur' => [
                    'open' => false,
                    'route' => 'indice_operateur',
                ],
                'Utilisateurs' => [
                    'route' => 'admin_user_list',
                    'open' => false,
                    'subMenu' => [
                        'Liste' => ['route' => 'admin_user_list',],
                    ],
                ],
                'Mon profil' => [
                    'open' => false,
                    'subMenu' => [
                        'Paramètres' => ['route' => 'user_profile',],
                        'Changer mot de passe' => ['route' => 'user_setting',],
                        'Déconnexion' => ['route' => 'app_logout'],
                    ],
                ],
            ],
            'ROLE_SUPER_ADMIN' => [
                'Accueil' => [
                    'open' => false,
                  'route' => 'home',
                ],
                'Tableau de bord' => [
                    'route' => '',
                    'open' => false,
                    'subMenu' => [
                        'Liste bénéficiaires' => ['route' => 'admin_beneficiaires_list'],
                        'Diagnostics en cours' => ['route' => 'admin_diagnostics_list'],
                        'Téléchargements du GBP' => ['route' => 'admin_GBP_downloads'],
                        'Indice Opérateurs' => ['route' => 'results_indice_operateurs'],
                        'Analytics' => ['path' => 'https://admin.alwaysdata.com/analytics/?site=856147']
                    ],
                ],
                'Questionnaire' => [
                    'route' => 'public_questionnaire',
                    'open' => false,
                ],
                'Fiches Action' => [
                    'open' => false,
                    'subMenu' => [
                        'Liste' => ['route' => 'admin_fiche_action_list'],
                        'Créer' => ['route' => 'admin_fiche_action_create',],
                    ],
                ],
                'Guide des Bonnes Pratiques' => [
                    'open' => false,
                    'route' => 'fiche_action'
                ],
                'Indice Opérateur' => [
                    'open' => false,
                    'route' => 'indice_operateur',
                ],
                'Utilisateurs' => [
                    'route' => 'admin_user_list',
                    'open' => false,
                    'subMenu' => [
                        'Liste' => ['route' => 'admin_user_list',],
                        'Créer' => ['route' => 'admin_user_create',],
                    ],
                ],
                'Mon profil' => [
                    'open' => false,
                    'subMenu' => [
                        'Paramètres' => ['route' => 'user_profile',],
                        'Changer mot de passe' => ['route' => 'user_setting',],
                        'Déconnexion' => ['route' => 'app_logout'],
                    ],
                ],
            ],
        ];
    public static function menu(string $role): array
    {

        if (!isset(self::$menu[$role])) {
            throw new \Exception('Pas de rôle configuré pour la navigation');
        }

        return self::$menu[$role];
    }

    public static function menuRoleKeys(): array
    {
        return array_reverse(array_keys(self::$menu));
    }
}
