<?php
/*
 * Copyright 2024 Aleth Gueguen <conseil@alethgueguen.com>
 *  This file is part of CycloDiag.
 *
 * CycloDiag is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * CycloDiag is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License along with CycloDiag. If not, see <https://www.gnu.org/licenses/>
 *
 */

namespace App\Questionnaire;

use App\Entity\CommuneEPCI;

final class DiagnosticName
{
    const PREFIX = 'Diagnostic';

    private string $name;

    private function __construct(string $name)
    {
        $this->name = $name;
    }

    public static function create(CommuneEPCI $communeEPCI): self
    {
        $slug = $communeEPCI->sluggedName();
        $date = (new \DateTimeImmutable())->format('Y-m-d');

        return new self(self::PREFIX . '-' . $slug . '-' . $date);
      }

    public function __toString(): string
    {
        return $this->name;
    }
}