<?php
/*
 * Copyright 2024 Aleth Gueguen <conseil@alethgueguen.com>
 *  This file is part of CycloDiag.
 *
 * CycloDiag is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * CycloDiag is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License along with CycloDiag. If not, see <https://www.gnu.org/licenses/>
 *
 */

namespace App\Questionnaire\Presentation;

use App\Questionnaire\QuestionInputName;

class SlidesLayout
{
    public static function cheminDeFer()
    {

        return [
            'Slide 1' => [
                'header' => 'Diagnostic',
                'subHeader' => '',
                'questionsInputName' => [
                    QuestionInputName::create('diagnostic-i-nbre_ent')
                ]
            ],
            'Slide 2' => [
                'header' => 'Diagnostic',
                'subHeader' => 'Réglementaire',
                'questionsInputName' => [
                    QuestionInputName::create('diagnostic-reglementaire-circulation'),
                    QuestionInputName::create('diagnostic-reglementaire-circulation-perimetre'),
                    QuestionInputName::create('diagnostic-reglementaire-circulation-horaire'),
                ]
            ],
            'Slide 2-1' => [
                'header' => 'Diagnostic',
                'subHeader' => 'Réglementaire',
                'questionsInputName' => [
                    QuestionInputName::create('diagnostic-reglementaire-circulation-motorisation'),
                    QuestionInputName::create('diagnostic-reglementaire-circulation-taille_poids'),
                ]
            ],
            'Slide 3' => [
                'header' => 'Diagnostic',
                'subHeader' => 'Foncier',
                'questionsInputName' => [
                    QuestionInputName::create('diagnostic-foncier-espace_lgtq'),
                    QuestionInputName::create('diagnostic-foncier-elu_cyclo'),
                    QuestionInputName::create('diagnostic-foncier-elu_cyclo_conditionnel'),
                ]
            ],
            'Slide 4' => [
                'header' => 'Diagnostic',
                'subHeader' => 'Aménagement',
                'questionsInputName' => [
                    QuestionInputName::create('diagnostic-amenagement-indice_cycla-voirie'),
                    QuestionInputName::create('diagnostic-amenagement-indice_cycla-voirie_30'),
                    QuestionInputName::create('diagnostic-amenagement-indice_cycla-bidirec'),
                ]
            ],
            'Slide 5' => [
                'header' => 'Diagnostic',
                'subHeader' => 'Aménagement / Stationnement',
                'questionsInputName' => [
                    QuestionInputName::create('diagnostic-amenagement-indice_circulation_velocargo'),
                    QuestionInputName::create('diagnostic-stationnement-aire_livraison'),
                ]
            ],
            'Slide 6' => [
                'header' => 'Gouvernance et plan d’action',
                'subHeader' => 'Portage politique',
                'questionsInputName' => [
                    QuestionInputName::create('gouvernance-portage-deliberation'),
                    QuestionInputName::create('gouvernance-portage-politique_cyclo'),
                ]
            ],
            'Slide 7' => [
                'header' => 'Gouvernance et plan d’action',
                'subHeader' => '',
                'questionsInputName' => [
                    QuestionInputName::create('gouvernance-autre-etude_cyclo'),
                ]
            ],
            'Slide 8' => [
                'header' => 'Concertation',
                'subHeader' => 'Sensibilisation',
                'questionsInputName' => [
                    QuestionInputName::create('concertation-sensibilisation-participation'),
                    QuestionInputName::create('concertation-sensibilisation-interlud'),
                ]
            ],
            'Slide 9' => [
                'header' => 'Concertation',
                'subHeader' => 'Sensibilisation',
                'questionsInputName' => [
                    QuestionInputName::create('concertation-sensibilisation-fablog'),
                    QuestionInputName::create('concertation-sensibilisation-cyclo_foncier'),
                ]
            ],
            'Slide 10' => [
                'header' => 'Implémentation d’actions',
                'subHeader' => '',
                'questionsInputName' => [
                    QuestionInputName::create('implementation-autre-rh-cyclo'),
                    QuestionInputName::create('implementation-autre-rh-action_cyclo'),
                ]
            ],
            'Slide 11' => [
                'header' => 'Implémentation d’actions',
                'subHeader' => 'Sensibilisation',
                'questionsInputName' => [
                    QuestionInputName::create('implementation-sensibilisation-actions-consommateurs'),
                    QuestionInputName::create('implementation-sensibilisation-actions-commercants'),
                ],
            ],
            'Slide 11-1' => [
                'header' => 'Implémentation d’actions',
                'subHeader' => 'Sensibilisation',
                'questionsInputName' => [
                    QuestionInputName::create('implementation-sensibilisation-actions-ent_cyclo'),
                    QuestionInputName::create('implementation-sensibilisation-actions-chargeurs'),
                    QuestionInputName::create('implementation-sensibilisation-actions-autre'),
                ],
            ],
            'Slide 12' => [
                'header' => 'Implémentation d’actions',
                'subHeader' => 'Sensibilisation / Autre',
                'questionsInputName' => [
                    QuestionInputName::create('implementation-sensibilisation-communication'),
                    QuestionInputName::create('implementation-autre-colis_activ'),
                    QuestionInputName::create('implementation-autre-suivi_cyclo'),
                ]
            ],
            'Slide 13' => [
                'header' => 'Implémentation d’actions',
                'subHeader' => '',
                'questionsInputName' => [
                    QuestionInputName::create('implementation-autre-clause_cyclo'),
                ]
            ],
            'Slide 14' => [
                'header' => 'Implémentation d’actions',
                'subHeader' => 'Foncier',
                'questionsInputName' => [
                    QuestionInputName::create('implementation-foncier-facilite'),
                    QuestionInputName::create('implementation-foncier-inte_urbanisme'),
                ]
            ],
            'Slide 15' => [
                'header' => 'Implémentation d’actions',
                'subHeader' => 'Aide à l’investissement',
                'questionsInputName' => [
                    QuestionInputName::create('implementation-foncier-investissement-dispositifs'),
                    QuestionInputName::create('implementation-foncier-investissement-location'),
                    QuestionInputName::create('implementation-foncier-investissement-experimentation'),
                ]
            ]
        ];
    }
}
