<?php
/*
 * Copyright 2024 Aleth Gueguen <conseil@alethgueguen.com>
 *  This file is part of CycloDiag.
 *
 * CycloDiag is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * CycloDiag is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License along with CycloDiag. If not, see <https://www.gnu.org/licenses/>
 *
 */

namespace App\Questionnaire;

use App\Trait\EnumNamesTrait;
use App\Trait\EnumArraySerializableTrait;
enum QuestionnaireStep: string
{
    use EnumNamesTrait;
    use EnumArraySerializableTrait;
  case CONTEXTE = 'Contexte du territoire';
  case DIAGNOSTIC = 'Diagnostic';
  case GOUVERNANCE = 'Gouvernance et plan d’action';
  case CONCERTATION = 'Concertation';
  case IMPLEMENTATION = 'Implémentation d’actions';

  public static function prevNext(self $currentStep): array
  {
//      $currentStep = constant('self::'.$stepName);
//      $currentStep = self::from($step);
      $i = 0;
      $prevNext = [
          'prev' => null,
          'next' => null
      ];
      foreach (self::cases() as $step) {
          if($currentStep === $step){
              break;
          }
          $i++;
      }

      if ($i - 1 >= 0) {
          $prevNext['prev'] = self::cases()[$i - 1];
      }
      if ($i + 1 < count(self::cases())) {
          $prevNext['next'] = self::cases()[$i + 1];
      }

      return $prevNext;
  }
}