<?php
/*
 * Copyright 2024 Aleth Gueguen <conseil@alethgueguen.com>
 *  This file is part of CycloDiag.
 *
 * CycloDiag is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * CycloDiag is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License along with CycloDiag. If not, see <https://www.gnu.org/licenses/>
 *
 */

namespace App\ViewDTO;

class CommuneEPCIDiagList
{
    public function __construct(
        public readonly string $name,
        public readonly ?string $duplicatedFrom,
        public readonly string $createdAt,
        public readonly string $updatedAt,
        private array $completions = [],
        private array $consultantsQuestions = [],
    ){}

    public static function fromRow(array $row): self
    {
        return new self(
            $row['name'],
            $row['duplicatedFrom'],
            $row['createdAt'],
            $row['updatedAt'],
        );
    }

    public function addCompletions(array $completions) {
        $this->completions = $completions;
    }

    public function addConsultantsQuestions(array $consultantsQuestions) {
        $this->consultantsQuestions = $consultantsQuestions;
    }

    public function completions() {
        return $this->completions;
    }
    public function consultantsQuestions() {
        return $this->consultantsQuestions;
    }
}