<?php
/*
 * Copyright 2024 Aleth Gueguen <conseil@alethgueguen.com>
 *  This file is part of CycloDiag.
 *
 * CycloDiag is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * CycloDiag is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License along with CycloDiag. If not, see <https://www.gnu.org/licenses/>
 *
 */

namespace App\ViewDTO;

final class FicheActionPreviewDTO
{

    public function __construct(
        public readonly string $reference,
        public readonly string $viewOrder,
        public readonly string $title,
        public readonly string $slug,
        public readonly string $theme,
        public readonly string $preview,
    )
    {
    }

    public static function fromRow($row):self
    {
        return new self(
            $row['reference'],
            $row['viewOrder'],
            $row['title'],
            $row['slug'],
            $row['theme'],
            $row['preview'],
        );
    }

    public static function tableName(): string
    {
        return 'ficheAction';
    }
}