<?php

namespace App\Tests;

use App\Entity\CommuneEPCI;
use App\Questionnaire\DiagnosticName;
use Symfony\Bundle\FrameworkBundle\Test\KernelTestCase;

class CommuneEPCITest extends KernelTestCase
{
    public function testThatNameIsSlugged(): void
    {
        $kernel = self::bootKernel();

        $commune = CommuneEPCI::create('la fourmillière', 'PAys de la Loire');

        $this->assertSame('la-fourmilliere', $commune->sluggedName());
    }

    public function testThatDiagName(): void
    {
        $kernel = self::bootKernel();

        $commune = CommuneEPCI::create('la fourmillière', 'PAys de la Loire');
        $diagName = DiagnosticName::create($commune);
        // Diagnostic-la-fourmilliere-2024-05-02
        $this->assertMatchesRegularExpression('/Diagnostic-\w+(-\w+)?-\d{4}-\d{2}-\d{2}/', (string)$diagName);
    }
}
