<?php

namespace App\Tests;

use App\Entity\FicheAction;
use Symfony\Bundle\FrameworkBundle\Test\KernelTestCase;
use Symfony\Component\HttpFoundation\Request;

class FicheActionTest extends KernelTestCase
{
    public function testThatScriptTagsAreStriped(): void
    {
        $kernel = self::bootKernel();

        $this->assertSame('test', $kernel->getEnvironment());

        $ficheAction = FicheAction::fromRequest(Request::create('/admin/fiche-action/new', 'POST', [
            'reference' => 'test-sanitize-fiche-action',
            'theme' => 'Foncier',
            'preview' => 'azerttip',
            'title' => 'some title',
            'content' => '<p>some text</p><script>alert("CSSX !");</script>',
            'viewOrder' => 1,
            'version' => 0,
        ]));
        $record = $ficheAction->toDBRecord();

        $this->assertEquals("<p>some text</p>" , $record['content']);
        // $routerService = static::getContainer()->get('router');
        // $myCustomService = static::getContainer()->get(CustomService::class);
    }
}
