<?php

namespace App\Tests;

use App\Entity\InviteConsultantRequestDTO;
use App\Entity\InviteConsultantToken;
use Symfony\Bundle\FrameworkBundle\Test\KernelTestCase;
use Symfony\Component\HttpFoundation\Request;

class InviteConsultantTokenTest extends KernelTestCase
{
    public function testThatTokenIsCreated(): void
    {
        $kernel = self::bootKernel();
        $r = Request::create('test', 'POST', [
            "consultantNameEmail" => "Martin Dupont <martin.dupont@ville-nantes.fr>",
            "diagUuid" => "5b0d7a08-512b-4aa9-9760-a86d16910052",
            "questionInputName" => "contexte-i-population",
        ]);
//        dd($r->request->get('diagUuid'));
        $invit = InviteConsultantRequestDTO::fromRequest($r);

        $inviteToken = InviteConsultantToken::create(1, $invit->getDiagUuid(), $invit->getQuestionInputName()
        );
//        dd($inviteToken);
        $this->assertInstanceOf('App\Entity\InviteConsultantToken', $inviteToken);
        // $routerService = static::getContainer()->get('router');
        // $myCustomService = static::getContainer()->get(CustomService::class);
    }

    public function testThatVerifierIsCreated(): void
    {
        $kernel = self::bootKernel();

        $inviteToken = InviteConsultantToken::create(1, 'b0d7a08-512b-4aa9-9760-a86d16910052', 'contexte-i-population'
        );
        $secret = $kernel->getContainer('ContainerBagInterface')->getParameter('kernel.secret');
        $inviteToken->setVerifier($secret);
        // bc8fa681f26c300ef6cf9857
//        dump($inviteToken->getVerifier());
        $this->assertIsString($inviteToken->getPublicToken());
        // 8e6a1ab9d57dfa609c2239486c6be1249206c1b421bfcc2f55d137c9703ddf18
        $this->assertArrayHasKey('hashedVerifier', $inviteToken->toDBRecord());
//        dd($inviteToken->toDBRecord());

    }
}
