<?php

namespace App\Tests;

use App\Questionnaire\QuestionInputName;
use InvalidArgumentException;
use PHPUnit\Framework\TestCase;

class QuestionInputNameTest extends TestCase
{

    public function testEquality():void
    {
        $q1 = QuestionInputName::create('contexte-sdfdfg-sdgdfg');
        $q2 = QuestionInputName::create('contexte-sdfdfg-sdgdfg');
        $this->assertEquals((string)$q1 , (string)$q2);
    }

    public function testThatNotStepThrows(): void
    {

        $this->expectException(InvalidArgumentException::class);
        QuestionInputName::create('wvfvfgd-sdfdfg-sdgdfg');
    }
    public function testThatContexteDoesNotThrows(): void
    {

        $q = QuestionInputName::create('contexte-sdfdfg-sdgdfg');
        $this->assertInstanceOf(QuestionInputName::class, $q);
    }
}
