<?php

namespace App\Tests\Repository;

use App\Entity\ResponseCycloDiag_DTO;
use Symfony\Bundle\FrameworkBundle\Test\KernelTestCase;

class ResponseCycloDiagRepositoryTest extends KernelTestCase
{
    public function testThatUniqueResponseIsInserted(): void
    {
        $kernel = self::bootKernel();

        $this->assertSame('test', $kernel->getEnvironment());
        $responseICLRepository = static::getContainer()->get('App\Repository\ResponseCycloDiagRepository');

        $responseToTest = ResponseCycloDiag_DTO::fromDBRecord([
            'diagUuid' => '6648a5fa-eb0f-4629-8283-6e5b6c4611ea',
            'inputName' => 'diagnostic-reglementaire-circulation-perimetre',
            'step' => 'DIAGNOSTIC',
            'value' => 789456123000,
            'other' => null,
            'version' => 2
        ]);
        $this->assertInstanceOf('App\Entity\ResponseCycloDiag_DTO', $responseToTest);

        $responseICLRepository->save($responseToTest);
//        $r = $responseICLRepository->getValuesForDiag($responseToTest->diagUuid);
        $r = $responseICLRepository->findOne([
            'diagUuid' => '6648a5fa-eb0f-4629-8283-6e5b6c4611ea',
            'inputName' => 'diagnostic-reglementaire-circulation-perimetre',
        ]);
//        dd($r);
        $this->assertSame($responseToTest->identifier(), $r->identifier());
    }

    public function testThatBadVersionThrowsException(): void
    {
        $kernel = self::bootKernel();

        $responseICLRepository = static::getContainer()->get('App\Repository\ResponseCycloDiagRepository');

        $responseToTest = ResponseCycloDiag_DTO::fromDBRecord([
            'diagUuid' => '6648a5fa-eb0f-4629-8283-6e5b6c4611ea',
            'inputName' => 'diagnostic-reglementaire-circulation-perimetre',
            'step' => 'DIAGNOSTIC',
            'value' => 789456123000,
            'other' => null,
            'version' => 3
        ]);
        $responseICLRepository->save($responseToTest);
        $responseToTest = ResponseCycloDiag_DTO::fromDBRecord([
            'diagUuid' => '6648a5fa-eb0f-4629-8283-6e5b6c4611ea',
            'inputName' => 'diagnostic-reglementaire-circulation-perimetre',
            'step' => 'DIAGNOSTIC',
            'value' => 789456123000,
            'other' => null,
            'version' => 1
        ]);
        // ConcurrentUpdateOccurred
        $this->expectException('\Exception');
        $responseICLRepository->save($responseToTest);
    }
}
