<?php

namespace App\Tests\Validator;

use App\Validator\IsNotFreeDomain;
use App\Validator\IsNotFreeDomainValidator;
use Symfony\Component\Validator\ConstraintValidatorInterface;
use Symfony\Component\Validator\Test\ConstraintValidatorTestCase;

class IsNotFreeDomainValidatorTest extends ConstraintValidatorTestCase
{

    /**
     * @inheritDoc
     */
    protected function createValidator(): ConstraintValidatorInterface
    {
        return new IsNotFreeDomainValidator();
    }

    /**
     * @dataProvider provideInvalidConstraints
     */
    public function testProEmailIsValid(IsNotFreeDomain $constraint): void
    {
        $this->validator->validate('test@grandannecy.fr', $constraint);

        $this->assertNoViolation();
    }

    /**
     * @dataProvider provideInvalidConstraints
     */
    public function testGmailIsInvalid(IsNotFreeDomain $constraint): void
    {
        $this->validator->validate('me@gmail.com', $constraint);

        $this->buildViolation('myMessage')
            ->assertRaised();
    }


    public function provideInvalidConstraints(): \Generator
    {
        yield [new IsNotFreeDomain(message: 'myMessage')];
        // ...
    }}